"""Copyright 2017 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License."""


import sys


class Logger:
    """Utility methods for logging."""

    def __init__(self):
        """The default constructor."""

    @staticmethod
    def non_match_rec_hdr():
        """Prints a header for non-matched records list."""
        print '\n============================================='
        print '\nWARNING: Non-matched records have been found:\n'
        print '=============================================\n\n'

    @staticmethod
    def print_msg(message):
        """Prints the specified message."""
        print "%s\n" % message

    @staticmethod
    def print_error(message):
        """Prints the specified message to stderr."""
        print >> sys.stderr, "%s\n" % message
